Orders API
List Orders
GET /api/v1/manager-core/orders
Get all orders with pagination.
Query Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| warehouse | integer | No | Filter by warehouse ID (exists:warehouses,id) |
| customer | integer | No | Filter by customer CRM ID (exists:crm_items,id) |
| from | date | No | Start date |
| to | date | No | End date |
| q | string | No | Search query |
| defaultFilters | boolean | No | Use default filters |
| order | object | No | Sorting (row, desc) |
| status | string | No | Order status |
| payment_status | string | No | Payment status |
| delivery_status | string | No | Delivery status |
| webshop | integer | No | Webshop ID |
| payment_methods | array | No | Payment method IDs |
| delivery_methods | array | No | Delivery method IDs |
| partner | integer | No | Partner CRM ID |
Create Order
POST /api/v1/manager-core/orders
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| warehouse_id | integer | Yes* | exists:warehouses,id (*required_without:auto_warehouse) |
| auto_warehouse | boolean | No | Auto-select warehouse |
| webshop_id | integer | Yes | exists:webshops,id |
| payment_method | integer | Yes | exists:payment_methods,id |
| country_id | integer | Yes | exists:countries,id |
| string | Yes | ||
| phone | string | Yes | max:255, min:5 |
| currency | string | Yes | exists:currencies,code |
| type | string | Yes | max:1 |
| first_name | string | No | max:255, min:1 |
| last_name | string | No | max:255, min:1 |
| tax_code | string | No | max:255 |
| eu_tax_code | string | No | max:255 |
| business_name | string | No | max:255, min:1 |
| invoice_post_code | string | No | max:40, min:0 |
| invoice_state | string | No | max:255, min:0 |
| invoice_area | string | No | max:255, min:0 |
| invoice_city | string | No | max:255, min:1 |
| invoice_street | string | No | max:255, min:1 |
| invoice_house | string | No | max:255, min:1 |
| delivery | object | No | Delivery address |
| delivery.country_id | integer | Conditional | exists:countries,id (required if delivery present) |
| delivery.post_code | string | No | max:40 |
| delivery.state | string | No | max:255 |
| delivery.area | string | No | max:255 |
| delivery.city | string | Conditional | max:255 (required_without:delivery.package_point) |
| delivery.street | string | Conditional | max:255 (required_without:delivery.package_point) |
| delivery.house | string | Conditional | max:255 (required_without:delivery.package_point) |
| delivery.package_point | string | Conditional | max:255 (required_without:delivery.house) |
| items | array | Yes | array, min:1 |
| discount | number | No | gte:0, max:100 |
| free_shipping | boolean | No | in:0,1,true,false |
| preorder | boolean | No | in:0,1,true,false |
| coupon_amount | number | No | gte:0 |
| coupon | string | No | min:2 |
Get Order
GET /api/v1/manager-core/orders/{id}
Parameters:
id(path) - Order ID
Update Order
PUT /api/v1/manager-core/orders/{id}
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| country_id | integer | No | exists:countries,id |
| webshop_id | integer | No | - |
| warehouse_id | integer | No | - |
| string | No | ||
| phone | string | No | max:255 |
| first_name | string | No | max:255 |
| last_name | string | No | max:255 |
| tax_code | string | No | max:255 |
| eu_tax_code | string | No | max:255 |
| business_name | string | No | max:255, min:1 |
| invoice_post_code | string | No | max:40, min:1 |
| invoice_city | string | No | max:255, min:1 |
| invoice_street | string | No | max:255, min:1 |
| invoice_house | string | No | max:255, min:1 |
| invoice_state | string | No | max:255, min:0 |
| delivery | object | No | - |
| tags | mixed | No | nullable |
Update Multiple Orders
PUT /api/v1/manager-core/orders/multiple
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | array | Yes | required, array of integers |
| tags | array | No | array of tag IDs |
Get Order Messages
GET /api/v1/manager-core/orders/{id}/messages
Parameters:
id(path) - Order ID
Order Products
GET /api/v1/manager-core/orders/products
Query Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webshop | integer | No | Webshop ID |
| warehouse | integer | No | Warehouse ID |
| has_problem | boolean | No | Filter by problem status |
Order Returns
GET /api/v1/manager-core/orders/returns
Query Parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webshop | integer | No | Webshop ID |
| warehouse | integer | No | Warehouse ID |
Change Products
POST /api/v1/manager-core/orders/change
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer | Yes | exists:orders,id |
| add_items | array | No | Array of items to add |
| remove_items | array | No | Array of items to remove |
| no_delivery | boolean | No | in:0,1 |
| discount | number | No | min:0, max:100 |
| preorder | boolean | No | in:0,1,true,false |
| warehouse_id | integer | No | - |
Add Payment
POST /api/v1/manager-core/orders/payed
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer | Conditional* | exists:orders,id (*required_without:orders) |
| payment_method | integer | Conditional* | exists:payment_methods,id (*required_without:orders) |
| refund_method | integer | No | exists:return_methods,id |
| amount | number | Conditional* | Numeric (*required_without:orders) |
| orders | array | Conditional* | Array of payment objects (*required_without:order_id) |
| orders.*.order_id | integer | No | exists:orders,id |
| orders.*.payment_method | integer | No | exists:payment_methods,id |
| orders.*.refund_method | integer | No | exists:return_methods,id |
| orders.*.amount | number | No | Numeric |
Accept Order
POST /api/v1/manager-core/orders/accept
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer | Conditional* | exists:orders,id (*required_without:orders) |
| orders | array | Conditional* | Array of order IDs (*required_without:order_id) |
Deny Order
POST /api/v1/manager-core/orders/deny
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer | Conditional* | exists:orders,id (*required_without:orders) |
| orders | array | Conditional* | Array of order IDs (*required_without:order_id) |
| deny_type | integer | Yes | in:1,2 |
| items | array | No | Items to deny |
Send Link
POST /api/v1/manager-core/orders/send-link
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:orders,id |
Edit Delivery
POST /api/v1/manager-core/orders/edit-delivery
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:order_deliveries,id |
| price | number | No | - |
| fee | number | No | - |
Delete Delivery
POST /api/v1/manager-core/orders/delete-delivery
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:order_deliveries,id |
Close Dispute
POST /api/v1/manager-core/orders/close-dispute
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:order_packages,id |
Accept Dispute
POST /api/v1/manager-core/orders/accept-dispute
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| id | integer | Yes | exists:order_packages,id |
Check Discount
POST /api/v1/manager-core/orders/check-discount
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| coupon | string | Yes | min:2 |
| country_id | integer | Conditional* | exists:countries,id (*required_without:shop_id) |
| string | Conditional* | email (*required_without:shop_id) | |
| currency | string | Conditional* | exists:currencies,code (*required_without:shop_id) |
| items | array | No | array, min:1 |
| shop_id | integer | No | exists:shops,id |
| webshop_id | integer | No | exists:webshops,id |
Create Parcel
POST /api/v1/manager-core/orders/delivery
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_package_id | integer/array | Yes | exists:order_packages,id |
| packages | integer | No | min:1 |
Create Manual Parcel
POST /api/v1/manager-core/orders/delivery/manual
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer | Yes | exists:orders,id |
| width | number | No | numeric |
| height | number | No | numeric |
| length | number | No | numeric |
| weight | number | No | numeric |
| delivery_method_id | integer | Yes | exists:delivery_methods,id |
| country_id | integer | Yes | exists:countries,id |
| post_code | string | Yes | - |
| city | string | Yes | - |
| street | string | Yes | - |
| house | string | Yes | - |
| value | mixed | Yes | - |
Mark Delivery Success
POST /api/v1/manager-core/orders/delivery/success
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_package_id | integer | Yes | exists:order_packages,id |
Refuse Delivery
POST /api/v1/manager-core/orders/delivery/refuse
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_package_id | integer | Yes | exists:order_packages,id |
Create POS Order
POST /api/v1/manager-core/orders/pos
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| shop_id | integer | Yes | exists:shops,id |
| price | mixed | Yes | - |
| payments | array | Conditional* | (*required_unless:price,0) |
| payments.*.method | integer | Yes | exists:payment_methods,id |
| payments.*.amount | number | Yes | gte:0 |
| items | array | No | min:1 |
| coupon | string | No | - |
| receiptMethod | integer | No | - |
| country_id | integer | Conditional | exists:countries,id (*required_if:receiptMethod,1 or 2) |
| string | Conditional | email (*required_if:receiptMethod,2) | |
| type | string | Conditional | max:1 (*required_if:receiptMethod,1 or 2) |
| first_name | string | Conditional | max:255 (*required_if:type,0) |
| last_name | string | Conditional | max:255 (*required_if:type,0) |
| tax_code | string | No | max:255 |
| eu_tax_code | string | No | max:255 |
| business_name | string | Conditional | max:255, min:1 (*required_if:type,1) |
| invoice_post_code | string | No | max:40 |
| invoice_state | string | No | max:255 |
| invoice_area | string | No | max:255 |
| invoice_city | string | Conditional | max:255 (*required_if:receiptMethod,1 or 2) |
| invoice_street | string | Conditional | max:255 (*required_if:receiptMethod,1 or 2) |
| invoice_house | string | Conditional | max:255 (*required_if:receiptMethod,1 or 2) |
Generate Invoice
POST /api/v1/manager-core/orders/invoice
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer/array | Yes | exists:orders,id |
Set Item to Package
POST /api/v1/manager-core/orders/{id}/packaging
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:order_items,id |
Set Item Returned
POST /api/v1/manager-core/orders/{id}/returned
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:order_items,id |
Cancel Return
POST /api/v1/manager-core/orders/{id}/cancel-return
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:order_items,id |
Set Extra Item to Package
POST /api/v1/manager-core/orders/{id}/packaging-extra
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| item | integer | Yes | exists:product_variants,id |
Edit Prices
POST /api/v1/manager-core/orders/{id}/edit-prices
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| items | array | Yes | - |
| items.*.id | integer | Yes | exists:product_variants,id |
| items.*.price | mixed | Yes | - |
Order Export
GET /api/v1/manager-core/orders/export/{exportType}
Parameters:
exportType(path) - Export format: xlsx, xls, ods, pdf, csv
Order Problems
List Problem Categories
GET /api/v1/manager-core/orders/problems/categories
Create Problem Category
POST /api/v1/manager-core/orders/problems/categories
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | - |
Update Problem Category
PUT /api/v1/manager-core/orders/problems/categories/{id}
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | - |
Delete Problem Category
DELETE /api/v1/manager-core/orders/problems/categories/{id}
Create Problem
POST /api/v1/manager-core/orders/problems
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| order_id | integer | Yes | - |
| category_id | integer | Yes | - |
| description | string | No | - |
Update Problem
PUT /api/v1/manager-core/orders/problems/{id}
Delete Problem
DELETE /api/v1/manager-core/orders/problems/{id}
Problem Categories (Alternative)
List
GET /api/v1/manager-core/orders/problem-categories
Create
POST /api/v1/manager-core/orders/problem-categories
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | - |
Update
PUT /api/v1/manager-core/orders/problem-categories/{id}
Request Body:
| Parameter | Type | Required | Validation |
|---|---|---|---|
| name | string | Yes | - |
Delete
DELETE /api/v1/manager-core/orders/problem-categories/{id}